Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class Assignee

    java.lang.Object
      com.bea.wli.worklist.api.Assignee

All Implemented Interfaces:
  Serializable

    public class Assignee

extends Object
implements Serializable

This class provides information about the task assignee.

Since:
  8.1
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Assignee.Type`

Field Summary
`protected String[]` | `groups`
`int` | `hashCode`
`protected String[]` | `rules`
`protected String[]` | `users`

Constructor Summary
`Assignee()`

Method Summary
`boolean` | `equals(Object other)`
`void` | `fromStringValue(String spec)` Parse a string value from a prior call to toStringValue() replacing this objects contents with the resulting assignee information.
`String[]` | `getAll()`
`String[]` | `getGroups()`
`String[]` | `getRules()`
`static Assignee.Type` | `getType(Integer value)`
`static Assignee.Type` | `getType(String value)`
`String[]` | `getUsers()`
`int` | `hashCode()`
`void` | `setGroups(String[] groups)`
`void` | `setRules(String[] rules)`
`void` | `setUsers(String[] users)`
`String` | `toString()`
`String` | `toStringValue()` Get a string value for this Assignee in the form Users:,,...,;Groups:,,...,;Rules:,,...,

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### users

    protected String[] users

### groups

    protected String[] groups

### rules

    protected String[] rules

### hashCode

    public volatile int hashCode

Constructor Detail

### Assignee

    public Assignee()

Method Detail

### fromStringValue

    public void fromStringValue(String spec)

  Parse a string value from a prior call to toStringValue() replacing this objects contents with the resulting assignee information.

  Parameters:
    `spec` - The string value from a call to toStringValue()

### toStringValue

    public String toStringValue()

  Get a string value for this Assignee in the form
  Users:,,...,;Groups:,,...,;Rules:,,...,

  Returns:
    The string value for this Assignee.

### getUsers

    public String[] getUsers()

### setUsers

    public void setUsers(String[] users)

### getGroups

    public String[] getGroups()

### setGroups

    public void setGroups(String[] groups)

### getRules

    public String[] getRules()

### setRules

    public void setRules(String[] rules)

### getAll

    public String[] getAll()

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getType

    public static Assignee.Type getType(Integer value)

### getType

    public static Assignee.Type getType(String value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD